Package org.eclipse.ecf.core.events

## Class ContainerConnectedEvent

- java.lang.Object
- - org.eclipse.ecf.core.events.ContainerConnectedEvent

All Implemented Interfaces:
  `IContainerConnectedEvent`, `IContainerEvent`, `Event`

    public class ContainerConnectedEvent
    extends Object
    implements IContainerConnectedEvent

Container connected event

### Constructor Summary

Constructors
`ContainerConnectedEvent​(ID localContainerID, ID targetID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`ID` `getTargetID()` Get ID of container target (the container we are now connected to)
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerConnectedEvent

    public ContainerConnectedEvent​(ID localContainerID,
                                   ID targetID)

### Method Detail

#### getTargetID

    public ID getTargetID()

Description copied from interface: `IContainerConnectedEvent`
Get ID of container target (the container we are now connected to)

Specified by:
  `getTargetID` in interface `IContainerConnectedEvent`
Returns:
  ID the ID of the container we connected to. Will not be null.

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`